{{page-title "Certif " @model.id " Détails | écri+ Admin" replace=true}}
<div class="certification-details">
  <div>
    <div>
      <Card>
        <div class="certification-details__info">
          <div>Statut :</div>
          <div>{{this.details.status}}</div>

          <div>Créé le :</div>
          <div>{{this.details.creationDate}}</div>

          <div>Terminée le :</div>
          <div>{{this.details.completionDate}}</div>

          <div>Score :</div>
          <div class="certificate">{{this.score}}</div>
          {{#if this.shouldDisplayJuryScore}}
            <div class="jury">Score corrigé :</div>
            <div class="jury">{{this.juryScore}}</div>
          {{/if}}
          <div>Taux de reproductibilité :</div>
          <div class="certificate">{{this.rate}}</div>
          {{#if this.juryRate}}
            <div>Taux corrigé :</div>
            <div class="jury">{{this.juryRate}}</div>
          {{/if}}
        </div>
      </Card>
    </div>
    {{#each this.details.competences as |competence|}}
      <Certifications::DetailsCompetence
        @competence={{competence}}
        @rate={{this.rate}}
        @juryRate={{this.juryRate}}
        @onUpdateRate={{this.onUpdateRate}}
      />
    {{/each}}
  </div>
  <div>
    <div class="certification-details__actions">
      {{#if this.accessControl.hasAccessToCertificationActionsScope}}
        <PixButton @type="submit" @size="small" @triggerAction={{this.onStoreMarks}}>Enregistrer</PixButton>
      {{/if}}
    </div>
  </div>
</div>